# API References

### Exposed APIs

```typescript
import {
    createMakeAndWithStyles, //<- Create an instance of makeStyles() and withStyles() for your theme.
    keyframes, //<- The function as defined in @emotion/react and @emotion/css
    GlobalStyles, //<- A component to define global styles.
    TssCacheProvider, //<- Provider to specify the emotion cache tss should use.
    useCssAndCx, //<- Access css and cx directly.
    //   (Usually you'll use useStyles returned by makeStyles or createMakeStyles for that purpose
    //    but if you have no theme in your project, it can come in handy.)
    useMergedClasses //<- Merge the internal classes an the one provided as props into a single classes object.
} from "tss-react";
```

{% content-ref url="/pages/GiaDUeA25IqDbSkth3XQ" %}
[makeStyles -> useStyles](/v3-1/page-1/makestyles-usestyles.md)
{% endcontent-ref %}

{% content-ref url="/pages/O6JI5TezddQMPobz7jjm" %}
[withStyles](/v3-1/page-1/withstyles.md)
{% endcontent-ref %}

{% content-ref url="/pages/aB3T1RmBOD8YZgD89VBD" %}
[\<GlobalStyles />](/v3-1/page-1/globalstyles.md)
{% endcontent-ref %}

{% content-ref url="/pages/7XvVb8FjOQaMf42UAO2T" %}
[keyframes](/v3-1/page-1/keyframes.md)
{% endcontent-ref %}

{% content-ref url="/pages/DDyLlOv7nqiX1o96oUpq" %}
[useMergedClasses](/v3-1/page-1/usemergedclasses.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tss-react.dev/v3-1/page-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
